namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 项目文档需要签署的用户类型")]
[Table("TrialDocNeedConfirmedUserType")]
public class TrialDocNeedConfirmedUserType : Entity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("NeedConfirmUserTypeId")]
    public UserType UserTypeRole { get; set; }

    [JsonIgnore]
    public TrialDocument TrialDocument { get; set; }
    #endregion

    public Guid TrialDocumentId { get; set; }

    public Guid NeedConfirmUserTypeId { get; set; }
}

